Bug 297535

Summary: Image docker is not functional
Product: krita Reporter: Antoine <alecail>
Component: DockersAssignee: Krita Bugs <krita-bugs-null>
Status: RESOLVED FIXED    
Severity: normal CC: christer.stenbrenden, halla, paulgeraskin
Priority: NOR    
Version: 2.4-snapshots   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: Image docker color picker patch
Image docker scales horizontally to fit filenames
Selected icon gets a green frame and resizing of icon area is better
Use the theme highlight color instead of poison green

Description Antoine 2012-04-05 13:44:08 UTC
Here a a few problems with the image docker (undock it to see the problems better)

a/ missing up/down arrow resizing cursor for top edge ( it may be a general problem in all dockers not specific to Krita)
b/ filenames don't scale horizontally, cf i/
c/ left arrow on the Browse tab means Back
d/ left arrow on the Images tab means Left
e/ missing tooltips
f/ right clicking samples the  color on the displayed image but the cursor does not change to a sampling style cursor
g/ unable to open the displayed picture
h/ displayed picture on the bottom is grayed out instead of having a highlight frame around itself
i/ file view: doesnt scale well horizontally: the separator in the headers has the same color as the background, thus it is invisible. It basically one column, there should not  be an empty second column.
j/ splitview: thumbnails are in one row, even if the splitter gives more space to the thumbnails widget.
k/ using sideways tab when docked. Please, don't use sideways tabs.
l/ mouse wheel event not implemented for the thumbnails view
Comment 1 Christer Stenbrenden 2013-08-29 20:09:23 UTC
Created attachment 82017 [details]
Image docker color picker patch

Displays a color picker when hover over the image in the docker
Comment 2 Christer Stenbrenden 2013-08-29 20:10:48 UTC
Created attachment 82018 [details]
Image docker scales horizontally to fit filenames
Comment 3 Christer Stenbrenden 2013-08-29 20:11:39 UTC
Created attachment 82019 [details]
Selected icon gets a green frame and resizing of icon area is better
Comment 4 Christer Stenbrenden 2013-08-30 12:53:45 UTC
Created attachment 82036 [details]
Use the theme highlight color instead of poison green
Comment 5 Halla Rempt 2013-08-31 07:26:50 UTC
Git commit c2434f03d721df157de3d780d62709aac308b931 by Boudewijn Rempt.
Committed on 31/08/2013 at 07:25.
Pushed by rempt into branch 'master'.

Improvements to the Image docker

patches by Christer Stenbrenden (christer.stenbrenden@gmail.com)

* Displays a color picker when hover over the image in the docker
* Image docker scales horizontally to fit filenames
* Use the theme highlight color for selected icon

M  +16   -1    krita/plugins/extensions/dockers/imagedocker/forms/wdgimagedocker.ui
M  +15   -2    krita/plugins/extensions/dockers/imagedocker/imagedocker_dock.cpp
M  +3    -0    krita/plugins/extensions/dockers/imagedocker/imagedocker_dock.h
M  +4    -1    krita/plugins/extensions/dockers/imagedocker/kis_image_strip_scene.cpp
M  +4    -0    krita/plugins/extensions/dockers/imagedocker/kis_image_view.cpp

http://commits.kde.org/calligra/c2434f03d721df157de3d780d62709aac308b931
Comment 6 Paul Geraskin 2014-01-27 15:47:06 UTC
Hi guys.

My Wish/improvement about Image Reference Docker:
Zooming from a center of the docker's canvas. At present the docker zooms from the Top-left corner.

Thanks.
Comment 7 Christer Stenbrenden 2014-05-21 09:01:03 UTC
Three of these issues remain. Closing this bug, and creating individual tasks.